Mixedbread

Get File

Retrieve details of a specific file by its ID.

GET
/v1/files/{file_id}

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Api key to access Mixedbreads API

Path Parameters

file_id*File Id

The ID of the file to retrieve

Formatuuid

Response Body

The details of the requested file

application/json
  1. response

A model representing a file object in the system.

This model contains metadata about files stored in the system, including identifiers, size information, and timestamps.

id*Id

Unique identifier for the file

filename*Filename

Name of the file including extension

Length1 <= length
bytes*Bytes

Size of the file in bytes

Range0 < value
mime_type*Mime Type

MIME type of the file

Match^[\w\.\-\+]+/[\w\.\-\+]+(\.\w+)*$
version*Version

Version of the file

Range1 <= value
created_at*Created At

Timestamp when the file was created

Formatdate-time
updated_at*Updated At

Timestamp when the file was last updated

Formatdate-time
from mixedbread import Mixedbreadmxbai = Mixedbread(api_key="YOUR_API_KEY")response = mxbai.files.retrieve(file_id="f47ac10b-58cc-4372-a567-0e02b2c3d479")print(response)
{  "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",  "filename": "document.pdf",  "bytes": 1048576,  "mime_type": "application/pdf",  "version": 1,  "created_at": "2025-01-15T10:00:00.000Z",  "updated_at": "2025-01-15T10:00:00.000Z",  "object": "file"}